#include "includes/lib.hpp"
#include "includes/types.hpp"

namespace Lib
{
  void* MemoryCopy(s8* source, s8* destination, s32 length)
  {
    s8 *p = destination;
  
    while(length > 0)
    {
      *destination++ = *source++;
      length--;
    }
  
    return p;
  }

  void* MemoryCopy(s8* source, s8* destination, s32 offset, s32 length)
  {
    s8 *p = destination;
    int i = 0;

    while(length > 0)
    {
      *destination++ = source[offset + i++];
      length--;
    }

    return p;
  }
}