#include "types.hpp"

namespace InterruptServiceRoutines
{
  #ifndef __KERNEL_INCLUDES_INTERRUPTSERVICEROUTINES_HPP__
  #define __KERNEL_INCLUDES_INTERRUPTSERVICEROUTINES_HPP__

    extern u32 ClockCount;

  #endif
}

extern "C"
{
  void ISR_DefaultInterrupt(void);
  void ISR_GPExec(void);
  void ISR_PFExec(void);
  void ISR_ClockInterrupt(void);
  void ISR_KeyboardInterrupt(void);
  void ISR_SystemCalls(s32 sys_num);
  //void Schedule();
}