#include "types.hpp"
#include "MultiBoot.hpp"

namespace PhysicalMemoryManager
{
  #ifndef __KERNEL_INCLUDES_PHYSICALMEMORYMANAGER_HPP__
  #define __KERNEL_INCLUDES_PHYSICALMEMORYMANAGER_HPP__

    extern u32 Bitmap[32768];

  #endif

  void Init(struct MultiBoot::Informations* multiBootInformations);
  void SetPageFrameUsed(u32 physicalAddress);
  void SetPageFrameAvailable(u32 physicalAddress);
  u32 GetFirstPageFrameAvailable(void);
}
